<?php
/******************************************************************************/
// Knjižnica, kjer so zbrane funkcije za detailni prikaz
// Author: Dave @ zabec.net
// Date: 2008
/******************************************************************************/

$tpl = new TemplatePower($ajax."templates/".$settings['template']."/moduli/pregled.tpl");
$tpl->prepare();
$tpl->assignGlobal("template_dir", $ajax."templates/".$settings['template']);

$tpl->assignGlobal("id", $clean['id']);

/* Language */
require('../lib_language.php');

if($mod_settings['kategorija'])
{
	$katsql = "LEFT JOIN ".$mod_settings['kat_tabela']." AS t ON p.kategorija = t.id ";
	$fkatsql = ", t.ime AS ime_kategorija";
}

$result = $db->query("SELECT p.*".$fkatsql." FROM ".$mod_settings['tabela']." AS p ".$katsql."WHERE p.id = '$clean[id]'");
$r = $result->fetch();

/* jeziki */
if(in_array($_POST['lang'],$mod_settings['active_lang']))
{
	$clean['lang'] = $_POST['lang'];
}
else
{
	$clean['lang'] = $mod_settings['active_lang'][0];
}

if($clean['lang'])
{
	$tpl->assign("lang", $clean['lang']);
	generate_lang_zavihek($clean['lang']);
	$langresult = $db->query("SELECT * FROM ".$mod_settings['tabela']."_".$clean['lang']." WHERE item_id = '$clean[id]'");
	$langr = $langresult->fetch();
}

/* naslov */
generate_naslov($modul_selected);
$tpl->assign("detail_naslov", $r[$vsebina_polja[0]]);

if($mod_settings['slika'] AND $r['slika'])
{
	$tpl->newBlock("osnovna_slika");
	$tpl->assign("slika", $mod_settings['slika_path'].$r['slika']);
}

/* custom prikaz */
include($path."/custom_detail.php");


if($mod_settings['kategorija'])
{
	$tpl->newBlock("osnovna_polja");
	$tpl->assign("naslov", $lang['pregled_kategorija']);
	$tpl->assign("vsebina", $r['ime_kategorija']);
}

if($mod_settings['galerija'])
{
	$file = new fileHandling();
	
	$result = $db->query("SELECT slika,opis,id FROM ".$mod_settings['galerija_tabela']." WHERE item_id = '$clean[id]'");
	while($r = $result->fetch())
	{

		$tpl->newBlock("galerija_slika");
			$tpl->assign("slika", $mod_settings['slika_path'].$r['slika']);
			$tpl->assign("id",$r['id']);
			$tpl->assign("slika_velikost",$file->velikost("../../".$mod_settings['datoteka_path'].$r['datoteka']));
			$tpl->assign("slika_ime",$r['slika']);
			$tpl->assign("slika_opis",$r['opis']);
	}
}

if($mod_settings['datoteke'])
{
	$file = new fileHandling();

	$result = $db->query("SELECT datoteka FROM ".$mod_settings['datoteke_tabela']." WHERE item_id = '$clean[id]'");
	$i = 0;
	while($r = $result->fetch())
	{
		if($i == 0)
		{
			$tpl->newBlock("datoteke");
		}
		$path = "../../".$mod_settings['datoteka_path'].$r['datoteka'];
		$tpl->newBlock("posamezna_datoteka");
		$tpl->assign("datoteka", $r['datoteka']);
		$tpl->assign("link",$path);
		$tpl->assign("velikost", $file->velikost($path));
		$i++;
	}
}

spremembeBox($clean['id']);

?>